Cancel queued and active simulation cases
curl --request POST \
--url https://api.firedrill.run/v1/projects/{projectId}/simulations/{batchId}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"expectedVersion": 0,
"reason": "<string>"
}
'import requests
url = "https://api.firedrill.run/v1/projects/{projectId}/simulations/{batchId}/cancel"
payload = {
"expectedVersion": 0,
"reason": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({expectedVersion: 0, reason: '<string>'})
};
fetch('https://api.firedrill.run/v1/projects/{projectId}/simulations/{batchId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schemaVersion": 1,
"batchId": "<string>",
"projectId": "<string>",
"environmentId": "<string>",
"planId": "<string>",
"planDigest": "<string>",
"buildHash": "<string>",
"state": "preparing",
"counts": {
"logicalCases": 0,
"attemptCases": 0,
"pending": 0,
"active": 0,
"passed": 0,
"failed": 0,
"inconclusive": 0,
"error": 0,
"cancelled": 0
},
"version": 0,
"createdAtMs": 0,
"updatedAtMs": 0,
"resultsUrl": "<string>",
"finishedAtMs": 0,
"conclusion": "passed",
"result": {
"schemaVersion": 1,
"kind": "simulation",
"conclusion": "passed",
"durationMs": 0,
"counts": {
"logicalCases": 5000,
"passed": 5000,
"failed": 5000,
"inconclusive": 5000,
"error": 5000,
"cancelled": 5000
},
"attemptCases": 55000,
"batchId": "<string>"
},
"failure": {
"schemaVersion": 1,
"code": "<string>",
"source": "framework",
"message": "<string>",
"retryable": true,
"issues": [],
"correlationId": "<string>",
"details": {},
"evidence": {
"runId": "<string>",
"sequence": 4503599627370495
}
}
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}Cancel queued and active simulation cases
Requires current run.cancel permission and the expected batch version. Accepted cancellation fences new Tool work and begins cleanup; it cannot forcibly stop arbitrary customer-owned code. Repeating the same reason after acceptance is safe.
Cancel queued and active simulation cases
Authorizations
Opaque control credential
Headers
Required string length:
8 - 128Pattern:
^[A-Za-z0-9._:-]+$Path Parameters
Pattern:
^prj_[0-9a-z]{12,32}$Pattern:
^cisuite_[0-9a-z]{12,32}$Body
application/json
Response
Current cancellation progress
Available options:
1 Pattern:
^cisuite_[0-9a-z]{12,32}$Pattern:
^prj_[0-9a-z]{12,32}$Pattern:
^env_[0-9a-z]{12,32}$Pattern:
^simplan_[0-9a-z]{12,32}$Pattern:
^sha256:[0-9a-f]{64}$Pattern:
^sha256:[0-9a-f]{64}$Available options:
preparing, running, cancelling, completed, failed, cancelled Show child attributes
Show child attributes
Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Maximum string length:
2048Required range:
-9007199254740991 <= x <= 9007199254740991Available options:
passed, failed, inconclusive, error, cancelled Show child attributes
Show child attributes
Show child attributes
Show child attributes